xosd_hide(3)

NAME
xosd_hide - hide the XOSD window

SYNOPSIS
#include <xosd.h>

int xosd_hide (xosd* osd);

DESCRIPTION
xosd_hide hides (unmaps) the xosd window. Call xosd_show(3) to make the window visible again.

When xosd_display(3) is called data will be shown until the pre-set time has elapsed. By calling xosd_hide the window is prematurely removed from the display.

ARGUMENTS

osd The on-screen display object to act on.

RETURN VALUE
On success, a zero is returned. On error, -1 is returned.

SEE ALSO
xosd_init(3), xosd_display(3), xosd_show(3).